%define name anyremote
%define version 4.7.1

Summary: Remote control through bluetooth or IR connection
Name: %{name}
Version: %{version}
Release: 1.suse11
License: GPL
Group: Applications/System
BuildRequires: xorg-x11-proto-devel, xorg-x11-libX11-devel, xorg-x11-libs
Requires:  bluez-libs, xorg-x11-libs, anyremote-doc >= 4.2,anyremote-data >= 4.2
Provides:anyremote 
Source0: %{name}-%{version}.tar.gz
URL: http://anyremote.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-build

%description
The overall goal of this project is to provide remote control service on Linux 
through Bluetooth, InfraRed, Wi-Fi or TCP/IP connection.
anyRemote supports wide range of modern cell phones like Nokia, SonyEricsson, 
Motorola and others. 

%prep
%setup

%build
./configure --prefix=%{_prefix}
make CFLAGS="$RPM_OPT_FLAGS"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] \
  && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}
mv $RPM_BUILD_ROOT/%{_prefix}/share/doc/%{name} $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] \
 && rm -rf $RPM_BUILD_ROOT

%files
%{_prefix}/bin/anyremote
%{_prefix}/share/man/man1/anyremote.1.gz

%changelog

%package data
Summary: Configuration files for anyRemote
Group: Applications/System

%description data
Configuration files for anyRemote

%files data
%{_prefix}/share/%{name}

%package doc
Summary: Documentation for anyRemote
Group: Applications/System

%description doc
Documentation for anyRemote

%files doc
%{_defaultdocdir}/%{name}
